// Copyright (C) 2000 Open Source Telecom Corporation.
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "ivrconfig.h"
#include "bayonne.h"

#pragma pack(1)
typedef	struct
{
	unsigned short port;
	bool detach;
	char cmd[256 - sizeof(short) - sizeof(bool)];
} tgicmd_t;

typedef	struct
{
	time_t update;
	char name[16];
	unsigned char ports;
	char stat[255];
} node_t;

#pragma pack()

// these classes generally are not accessed  outside of the server image
// itself and so are not "exposed" through the bayonne header file.

class Scheduler : public Thread, public ThreadLock
{
private:
	ifstream sched;
	int interval, rtmp;
	int Load(void);
	void Initial(void);
	void Update(void);
	void Run(void);

public:
	Scheduler();
	~Scheduler();

	void Stop(void);
};

// the resolver is an optional service thread.

class Resolver : public Server
{
private:
	static bool instance;
	time_t interval;

	void Run(void);
	void Stop(void);

public:
	Resolver();
};

extern Scheduler scheduler;
extern int tgipipe[2];
